Bug 146895 - filesystem consistency error after many mounts and unmounts
Summary: filesystem consistency error after many mounts and unmounts
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: michael conrad tadpol tilstra
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 144795
TreeView+ depends on / blocked
 
Reported: 2005-02-02 16:55 UTC by Corey Marthaler
Modified: 2010-01-12 03:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 16:25:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2005-02-02 16:55:44 UTC
Description of problem:
I hit this while running mount_stress on a 5 node, 2 gfs, gulm cluster.
After 53 iterations of unmounting and remounting random filesystems,
on random nodes, with random mount options I saw this error while
trying to unmount.

GFS: fsid=morph-cluster:gfs0.0: fatal: filesystem consistency error
GFS: fsid=morph-cluster:gfs0.0:   function = trans_go_xmote_bh
GFS: fsid=morph-cluster:gfs0.0:   file =
/usr/src/build/513244-i686/BUILD/smp/src/gfs/glops.c, line = 542
GFS: fsid=morph-cluster:gfs0.0:   time = 1107301972
GFS: fsid=morph-cluster:gfs0.0: about to withdraw from the cluster
GFS: fsid=morph-cluster:gfs0.0: waiting for outstanding I/O
GFS: fsid=morph-cluster:gfs0.0: telling LM to withdraw

Both filesystems on all the nodes were then hung. 

After a reboot of all the nodes, everyone mounted back up and was
hunky dory.

Version-Release number of selected component (if applicable):
Gulm <CVS> (built Feb  1 2005 11:32:43) installed
GFS <CVS> (built Feb  1 2005 11:32:57) installed


How reproducible:
Didn't try

Comment 1 Kiersten (Kerri) Anderson 2005-02-09 16:13:30 UTC
Reassigning to Mike to look into the problem

Comment 2 Kiersten (Kerri) Anderson 2005-02-09 16:14:37 UTC
Blocker list bug

Comment 3 Corey Marthaler 2005-02-09 22:51:54 UTC
Reproducable.

Again while running mount_stress on a gulm cluster with only 2
filesystems, this time it was on the tank cluster and took 104 iterations.

Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0: fatal:
filesystem consistency error
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0:  
function = trans_go_xmote_bh
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0:   file
=
/usr/src/build/515552-i686/BUILD/gfs-kernel-2.6.9-16/src/gfs/glops.c,
line = 542
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0:   time
= 1107984802
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0: about
to withdraw from the cluster
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0: waiting
for outstanding I/O
Feb  9 16:33:23 tank-04 kernel: GFS: fsid=tank-cluster:gfs0.0: telling
LM to withdraw


Comment 4 Corey Marthaler 2005-02-10 16:25:44 UTC
this was a test bug, it was using two different lock tables.


Note You need to log in before you can comment on or make changes to this bug.